#!/usr/bin/env bash

CUR_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

if [ "${__SHLIB_UTILS_SH:-}" != '1' ]; then
  . "${CUR_DIR}/shlib/utils.sh"
fi
if [ "${__SHLIB_ITGRIX_SH:-}" != '1' ]; then
  . "${CUR_DIR}/shlib/itgrix.sh"
fi
if [ "${__COMMON_SH:-}" != '1' ]; then
  . "${CUR_DIR}/common.sh"
fi

readonly PRODUCT_NAME="${MAIN_PRODUCT_NAME}"
readonly PRODUCT_VERSION="3.11.10"

readonly APP_DIR="${MAIN_APP_DIR}"
readonly BIN_FILENAME="${MAIN_BIN_FILENAME}"
readonly BIN_PATH="${MAIN_BIN_PATH}"

readonly CONFIG_DIR="${MAIN_CONFIG_DIR}"
readonly CONFIG_PATH="${MAIN_CONFIG_PATH}"

readonly INSTANCEMAP_PATH="${APP_DIR}/instancemap.json"

readonly SERVICE_NAME="${PRODUCT_NAME}"
readonly SERVICE_FILE_SYSTEMD="${SERVICE_DIR_SYSTEMD}/${SERVICE_NAME}.service"
readonly SERVICE_FILE_INIT="${SERVICE_DIR_INIT}/${SERVICE_NAME}"

readonly LOG_DIR="${MAIN_LOG_DIR}"
readonly LOG_PATH="${LOG_DIR}/${SERVICE_NAME}.log"
readonly LOGROTATE_CONFIG_PATH="${LOGROTATE_CONFIG_DIR}/${SERVICE_NAME}"

readonly SUDOERS_FILE="${SUDOERS_DIR}/${PRODUCT_NAME}"
readonly SUDOERS_DRAFT_FILE="${APP_DIR}/sudoers.draft"

readonly PBX_LOG_DIR="/var/log/asterisk"
readonly PBX_DEFAULT_USER="asterisk"
readonly PBX_DEFAULT_GROUP="asterisk"

readonly PRODUCT_TMP_DIR="${MAIN_PRODUCT_TMP_DIR}"

readonly BACKUPS_DIR="/opt/${PRODUCT_NAME}_backups"

readonly CUSTOMIZER_DIR="${APP_DIR}/customizer"

readonly REMOVE_EXE_PATH="${APP_DIR}/remove.sh"
