#!/usr/bin/env bash
#
# Perform automatic update of Asterisk-connector Itgrix
{
set -o nounset
set -o errexit

CRM="bx"
PRODUCT_NAME="itgrix_${CRM}"

SCRIPT_NAME="updater_entrypoint_${CRM}"
SCRIPT_VERSION="1.1.1"
LAUNCH_DATETIME="$(date "+%Y%m%d-%H%M%S")" # ГГГГММДД-ЧЧММСС

CUR_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
UPDATER_WORKER_PATH="${CUR_DIR}/updater_worker.sh"

echo "Start ${SCRIPT_NAME} ${SCRIPT_VERSION} for ${PRODUCT_NAME} at: ${LAUNCH_DATETIME}"
echo

echo "Remove old updater-worker, if any..."
rm -f "${UPDATER_WORKER_PATH}"

echo "Get current version..."
CUR_VERSION="$("${CUR_DIR}/${PRODUCT_NAME}" -v 2>&1; exit 0)"
echo "Current version: '${CUR_VERSION}'"

echo "Download updater..."
echo
wget "https://bx24asterisk.ru/api/v3/get_updater.php?crm=${CRM}&curversion=${CUR_VERSION}" \
    --no-check-certificate --content-disposition -O "${UPDATER_WORKER_PATH}"

echo "Launch updater..."
echo "********************************************************************************"
chmod +x "${UPDATER_WORKER_PATH}"
"${UPDATER_WORKER_PATH}" "$@"
exit
}
